Viewing Issue Advanced Details Jump to Notes ] [ View Source: m62.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04242 Graphics Minor Always 2011-02-10 21:00 2011-07-26 21:58
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver m62.c
Version 0.141u2 Fixed in Version 0.143u2 Build Normal
Summary 04242: All sets in m62.c and phoenix.c: Colors appears "washed out"
Description Compared to previous screens as far back as I can test, the colors for all games in the driver all seem to suffer from colors that have faded or "washed out"
Steps To Reproduce
Additional Information I'm setting to possible until such time we can be 100% certain this is not how they are supposed to be.
r11392 is the offending revision - having to do with palette.c changes.
Flags
Regression Version 0.141u2
Affected Sets / Systems All sets in m62.c and phoenix.c
Attached Files
png file icon kungfum-u1.png (3,371 bytes)  2011-02-10 21:00 by Tafoid
Kung Fu Master - 0.141u1
Tafoid
png file icon kungfum-u2.png (3,424 bytes)  2011-02-10 21:01 by Tafoid
Kung Fu Master - 0.141u2
Tafoid
png file icon kungfum_pre_normalize.png (3,439 bytes)  2011-02-22 21:04 by hap
hap
gif file icon kfm_line1.gif (105,477 bytes)  2011-07-24 10:15 by hap
hap
gif file icon kfm_line2.gif (55,542 bytes)  2011-07-24 10:16 by hap
hap
gif file icon kfm_line3.gif (132,101 bytes)  2011-07-24 10:16 by hap
hap
jpg file icon kfm_resistors.jpg (137,860 bytes)  2011-07-24 10:16 by hap
hap


-  Notes
User avatar (07187)
moa (Tester)
2011-02-11 06:59

Phoenix seems affected too
User avatar (07258)
hap (Developer)
2011-02-22 21:16

kungfum_pre_normalize.png is the palette fed to palette_normalize_range
User avatar (07259)
hap (Developer)
2011-02-22 21:19

drivers that use palette_normalize_range: dkong.c, m62.c, mario.c, phoenix.c, popper.c.
IMHO visible degradation only in m62.c and phoenix.c
User avatar (07261)
Robbbert (Developer)
2011-02-23 09:41

for info: MESS also has a problem with palette_normalize_range: samcoupe is now only shades of grey instead of full colour. By replacing a few lines near the end of that routine with what used to be there, it can work again.
User avatar (07654)
hap (Developer)
2011-07-24 10:10
edited on: 2011-07-24 10:20

btw It looks better if you remove palette_normalize_range from m62 and increase contrast to 1.5

adding some pics and info by Stefan Lindberg from this thread: http://www.mameworld.info/ubbthreads/showflat.php?Cat=6&Number=117256&page=&view=&sb=5&o=&vc=1
This confirms that at least kungfum colors are not supposed to be washed out. It's easy to tell on the red "thomas" text.

I'm disregarding the gfx artifacts here; lines like the kidniki hair sprite.
The resistors on the pic are the same as in video/m62.c, so that part is at least correct in mame.

User avatar (07655)
hap (Developer)
2011-07-26 21:58

phoenix.c: it was a bug in the color prom resnet
m62.c: increased default contrast to fix it